
Redmine - Defect #29365

MailHandlerTest#test_add_issue_with_localized_attributes fails with mail gem 2.7.0

2018-08-13 01:55 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Failure:

MailHandlerTest#test_add_issue_with_localized_attributes [test/unit/mail_handler_test.rb:503]:

Expected false to be truthy.

Related issues:

Related to Redmine - Patch #29359: Switch to mini_mime from mime-types Closed

Related to Redmine - Defect #27691: Issue created from mail_handler with desc... Closed

Blocks Redmine - Feature #29443: Update mail gem (~> 2.7.1) Closed

History

#1 - 2018-08-13 01:56 - Go MAEDA

- Related to Patch #29359: Switch to mini_mime from mime-types added

#2 - 2018-08-13 02:16 - Go MAEDA

- Related to Defect #27691: Issue created from mail_handler with description empty from added

#3 - 2018-08-14 11:14 - Pavel Rosický

I would recommend to wait until 2.7.1 is out.

btw 2.7.1.rc1 passed the test.

#4 - 2018-08-27 13:55 - Go MAEDA

- Blocks Feature #29443: Update mail gem (~> 2.7.1) added

#5 - 2018-10-14 05:17 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Pavel Rosický wrote:

I would recommend to wait until 2.7.1 is out.

 Thanks, I confirmed that the test success with mail gem 2.7.1.
